package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.biz.dal.enums.JobTypeEnum;
import com.ym.mec.biz.dal.enums.StaffStatusEnum;

/**
 * 对应数据库表(employee_info):
 */
public class EmployeeInfo {

	/**  */
	private Long id;

	@ApiModelProperty(value = "姓名", required = false)
	private String realName;

	@ApiModelProperty(value = "手机号码", required = false)
	private String mobileNo;

	@ApiModelProperty(value = "微信号", required = false)
	private String wechatNo;

	@ApiModelProperty(value = "身份证号", required = false)
	private String idCard;

	@ApiModelProperty(value = "年龄", required = false)
	private Integer age;

	@ApiModelProperty(value = "性别", required = false)
	private Boolean gender;

	@ApiModelProperty(value = "出生年月日", required = false)
	private java.util.Date birthdate;

	@ApiModelProperty(value = "紧急联系人姓名", required = false)
	private String emergencyContactName;

	@ApiModelProperty(value = "紧急联系人关系", required = false)
	private String emergencyContactRelation;

	@ApiModelProperty(value = "紧急联系人电话", required = false)
	private String emergencyContactPhone;

	@ApiModelProperty(value = "所在城市", required = false)
	private String liveCity;

	@ApiModelProperty(value = "意向城市", required = false)
	private String intentionCity;

	@ApiModelProperty(value = "教育背景（时间，学历，毕业院校", required = false)
	private String educationalBackground;

	@ApiModelProperty(value = "声部", required = false)
	private String subjectIdList;
	
	private String subjectName;

	@ApiModelProperty(value = "评估结果", required = false)
	private String assessmentResult;

	@ApiModelProperty(value = "其他综合情况", required = false)
	private String otherComment;

	@ApiModelProperty(value = "入职日期", required = false)
	private java.util.Date entryDate;

	@ApiModelProperty(value = "分部", required = false)
	private Integer organId;
	
	private String organName;

	@ApiModelProperty(value = "职位", required = false)
	private JobTypeEnum position;

	@ApiModelProperty(value = "人员状态", required = false)
	private StaffStatusEnum status;

	@ApiModelProperty(value = "是否是试用期", required = false)
	private Boolean isProbationPeriod;

	@ApiModelProperty(value = "银行卡号", required = false)
	private String bankCardNo;

	@ApiModelProperty(value = "开户行", required = false)
	private String bankAddress;

	@ApiModelProperty(value = "离职日期", required = false)
	private java.util.Date resignationDate;

	@ApiModelProperty(value = "操作人编号", required = false)
	private Integer operatorId;
	
	private String operatorName;

	@ApiModelProperty(value = "信息来源", required = false)
	private String sourceFrom;

	/**  */
	private java.util.Date createTime;

	/**  */
	private java.util.Date updateTime;

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return this.id;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public String getRealName() {
		return this.realName;
	}

	public void setMobileNo(String mobileNo) {
		this.mobileNo = mobileNo;
	}

	public String getMobileNo() {
		return this.mobileNo;
	}

	public void setWechatNo(String wechatNo) {
		this.wechatNo = wechatNo;
	}

	public String getWechatNo() {
		return this.wechatNo;
	}

	public void setIdCard(String idCard) {
		this.idCard = idCard;
	}

	public String getIdCard() {
		return this.idCard;
	}

	public void setAge(Integer age) {
		this.age = age;
	}

	public Integer getAge() {
		return this.age;
	}

	public void setGender(Boolean gender) {
		this.gender = gender;
	}

	public Boolean getGender() {
		return this.gender;
	}

	public void setBirthdate(java.util.Date birthdate) {
		this.birthdate = birthdate;
	}

	public java.util.Date getBirthdate() {
		return this.birthdate;
	}

	public void setEmergencyContactName(String emergencyContactName) {
		this.emergencyContactName = emergencyContactName;
	}

	public String getEmergencyContactName() {
		return this.emergencyContactName;
	}

	public void setEmergencyContactRelation(String emergencyContactRelation) {
		this.emergencyContactRelation = emergencyContactRelation;
	}

	public String getEmergencyContactRelation() {
		return this.emergencyContactRelation;
	}

	public void setEmergencyContactPhone(String emergencyContactPhone) {
		this.emergencyContactPhone = emergencyContactPhone;
	}

	public String getEmergencyContactPhone() {
		return this.emergencyContactPhone;
	}

	public void setLiveCity(String liveCity) {
		this.liveCity = liveCity;
	}

	public String getLiveCity() {
		return this.liveCity;
	}

	public void setIntentionCity(String intentionCity) {
		this.intentionCity = intentionCity;
	}

	public String getIntentionCity() {
		return this.intentionCity;
	}

	public void setEducationalBackground(String educationalBackground) {
		this.educationalBackground = educationalBackground;
	}

	public String getEducationalBackground() {
		return this.educationalBackground;
	}

	public String getSubjectIdList() {
		return subjectIdList;
	}

	public void setSubjectIdList(String subjectIdList) {
		this.subjectIdList = subjectIdList;
	}

	public String getAssessmentResult() {
		return assessmentResult;
	}

	public void setAssessmentResult(String assessmentResult) {
		this.assessmentResult = assessmentResult;
	}

	public void setOtherComment(String otherComment) {
		this.otherComment = otherComment;
	}

	public String getOtherComment() {
		return this.otherComment;
	}

	public void setEntryDate(java.util.Date entryDate) {
		this.entryDate = entryDate;
	}

	public java.util.Date getEntryDate() {
		return this.entryDate;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public void setPosition(JobTypeEnum position) {
		this.position = position;
	}

	public JobTypeEnum getPosition() {
		return this.position;
	}

	public StaffStatusEnum getStatus() {
		return status;
	}

	public void setStatus(StaffStatusEnum status) {
		this.status = status;
	}

	public void setIsProbationPeriod(Boolean isProbationPeriod) {
		this.isProbationPeriod = isProbationPeriod;
	}

	public Boolean getIsProbationPeriod() {
		return this.isProbationPeriod;
	}

	public void setBankCardNo(String bankCardNo) {
		this.bankCardNo = bankCardNo;
	}

	public String getBankCardNo() {
		return this.bankCardNo;
	}

	public void setBankAddress(String bankAddress) {
		this.bankAddress = bankAddress;
	}

	public String getBankAddress() {
		return this.bankAddress;
	}

	public void setResignationDate(java.util.Date resignationDate) {
		this.resignationDate = resignationDate;
	}

	public java.util.Date getResignationDate() {
		return this.resignationDate;
	}

	public void setCreateTime(java.util.Date createTime) {
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime() {
		return this.createTime;
	}

	public void setUpdateTime(java.util.Date updateTime) {
		this.updateTime = updateTime;
	}

	public java.util.Date getUpdateTime() {
		return this.updateTime;
	}

	public Integer getOperatorId() {
		return operatorId;
	}

	public void setOperatorId(Integer operatorId) {
		this.operatorId = operatorId;
	}

	public String getSourceFrom() {
		return sourceFrom;
	}

	public void setSourceFrom(String sourceFrom) {
		this.sourceFrom = sourceFrom;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public String getOperatorName() {
		return operatorName;
	}

	public void setOperatorName(String operatorName) {
		this.operatorName = operatorName;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
